0
votes
0answers
256 views

Installing PHP4 on a Debian (lenny) 7 32bit box

I am trying to install PHP4 on a Debian 7 32bit box but I ran into the following root@php4:~# apt-get update Get:1 http://snapshot.debian.org lenny Release.gpg [189 B] Hit ...
0
votes
1answer
761 views

LVM meta data missing from a device

Here is the situation. I have a MD device, /dev/md0, which is fully functional, but seems to have no LVM meta data. As far as everything I know how to do is concerned, it isn't part of a volume ...
0
votes
2answers
330 views

Can't find ISCSI drives after NAS firmware update

This is what it's all about: I've got a Linux network with an actual hardware server running two separate virtual machines and a QNAP NAS T-459 Pro+ as a fileserver. Since updating the QNAP firmware ...
0
votes
1answer
29 views

Proc files visible to all in Lenny, but not in Squeeze

I noticed that in my lenny distributions of debian that the proc files are read all in that any user can see if a process is running. In squeeze I noticed that the proc files are readable just to ...
1
vote
1answer
75 views

How to install packages on debian lenny 5.0

I'm working with Debian Lenny 5.0 and I'm trying to replicate an environment. The problem is that when I try to update aptitude.. it looks like the servers aren't online anymore. Is there any way for ...
2
votes
1answer
3k views

SSL certificate: unable to get local issuer certificate [closed]

I'm running Debian (Lenny). When I run this: curl --ssl https://www.google.com I get this error: curl: (60) SSL certificate problem: unable to get local issuer certificate More details here: ...
4
votes
2answers
607 views

Converting Debian fstab to use UUIDs via linux-base?

We have a few Debian 5 systems that are still using /dev/hda in the fstab. We'd like to covert them to using UUIDs. This is supposed to be done automatically via the "linux-base" package (postinst), ...
2
votes
2answers
263 views

Trouble with Debian Lenny and Sphinx

I've very basic understanding of linux systems, but I've a server which was setup a while ago to host some web apps. Recently I decided to test out and implement Sphinx but unfortunately I cant get ...
1
vote
1answer
194 views

Package pinning in Debian lenny

I need your advice as I don't know if I hit a bug, or I am misunderstanding something. On a Debian Lenny, I am trying to prevent the installation of two particular packages, when they are requested ...
3
votes
1answer
414 views

Upgrading Lenny to Squeeze over ssh

I am running an ISPConfig3 server with Lenny which I want to upgrade the Squeeze, however... I am not at the terminal and the server is in my server-hall. Can I upgrade Lenny to Squeeze over SSH? I ...
15
votes
3answers
38k views

Debian 5.0 (lenny) apt sources fail?

For the past few days, I couldn't update our apt-sources on Debian 5.0 (lenny). I get the following errors. W: Failed to fetch http://ftp.debian.org/debian/dists/lenny/main/binary-amd64/Packages 404 ...
0
votes
2answers
764 views

ERROR: Can't find the archive-keyring

I'm trying to upgrade my Debian Lenny to Squeeze. I've replaced the word lenny to squeeze in sources.list and ran apt-get clean apt-get update apt-get dist-upgrade But after a while, I get this ...
0
votes
2answers
287 views

Debian Installer not working

I get: dpkg: error processing linux-image-2.6-amd64 (--configure): dependency problems - leaving unconfigured Errors were encountered while processing: linux-image-2.6.26-1-amd64 ...
0
votes
1answer
2k views

Nginx running on Debian lenny, how to add SSL?

Some time ago I installed Nginx and Passenger on Debian lenny with... sudo apt-get install nginx sudo gem install passenger sudo passenger-install-nginx-module This is what I get when I do nginx -V ...
1
vote
1answer
214 views

How to enable Chinese on Debian lenny? [closed]

I have already installed Chinese fonts $ sudo apt-cache search chinese $ sudo apt-get install ttf-arphic-bkai00mp ttf-arphic-bsmi00lp ttf-arphic-gbsn00lp ttf-arphic-gbsn00lp ... added locales $ ...
1
vote
1answer
161 views

Warnings about partition tables on /dev/md? during preseed installation. (Debian Lenny)

I'm setting up an environment to install many Lenny machines at once and I need to avoid any dialog with the process, corner cases aside. One thing that consistently troubles me is that after my ...
2
votes
3answers
2k views

Why isn't fail2ban blocking failures?

This below is the output of fail2ban log. Nothing more shows up, but in auth.log I see like hundreds of failures for root user login (someone is bad ass brute forcing). 2011-07-06 01:48:16,249 ...
2
votes
2answers
3k views

Why do I get GPG error when running apt-update for lenny-backports?

Alright, so I'm trying to upgrade (if you could call it so) to lenny-backports as seen here, but I ran into this error when running apt-get update: W: GPG error: http://backports.debian.org ...
2
votes
3answers
1k views

Is debian lenny-backports safe to use on lenny?

I want to upgrade my packages to newer versions but my server is still on lenny. I've read a bit that lenny-backports may come in help here. Could you please tell me what to do to upgrade to ...
2
votes
2answers
366 views

error installing php-pear on Debian Lenny

[ps]$ sudo apt-get install php-pear Reading package lists... Done Building dependency tree Reading state information... Done The following NEW packages will be installed: php-pear 0 upgraded, 1 ...
4
votes
3answers
7k views

How do I install a new schema for OpenLDAP on Debian 5 with dynamic config=cn backend?

I'm importing an openldap database from another server and while importing, I got some errors with some users, the problem is that the mozillaAbPersonAlpha is not a valid objectClass. #!ERROR [LDAP ...
0
votes
1answer
1k views

Setup sendmail to relay to another smtp?

My host provides an smtp server for sending mail. I want to setup sendmail to relay all emails to the hosts smtp server. How do you do that?
0
votes
2answers
478 views

Can't install perl-suid on Debian 5

I'm trying to install perl-suid needed for some script I've downloaded and getting the following $ sudo apt-get install perl-suid The following packages have unmet dependencies: perl-suid: Depends: ...
2
votes
3answers
1k views

How to configure bind9 to accept connections from other machines

I'm sure this has been asked in some form before but I'm completely new to DNS and inexperienced with Linux, so bear with me :) I have a VPS from OVH hosting that I've managed to configure to suit my ...
0
votes
3answers
723 views

Bacula over s3fs

We are constantly running out of space on our backup server so I want to move the backups to S3. Does it make sense to run Bacula on top of s3fs? Does anybody have experience with that? Is it ...
0
votes
2answers
356 views

apt-get fails to, well, apt-get

I'm working on a virgin debian 5 image on a VPS. To be honest, this may not be the brightest VPS provider in the world and I suspect their image isn't perfect. apt-get fails for everything: # ...
1
vote
1answer
4k views

Debian Lenny apt-get install php5-cli Unmet dependencies help?

first time poster - long time reader and learner. Have been trying in vain for 2 weeks now to sort out a messed up PHP5.3 install on a Debian 5 (lenny) box. Each time I attempt to apt-get install ...
5
votes
2answers
5k views

Best sysctl.conf configuration for high load - extremely busy content streaming server

What is the best sysctl.conf configuration for a high load, extremely busy content streaming server ? The server fetches the content from remote servers like amazon, s3, etc. then uses php to ...
1
vote
2answers
2k views

How to get the latest version of git-core on debian lenny

I'm trying to update my version of git that I'm using on the debian 5.0 lenny webserver (from 1.5 in the default package repository to at least 1.7 in the latest stable updates, according to the ...
0
votes
2answers
3k views

Squid and Webmin - the 'all' acl

In older versions of versions of squid, you had to define an acl 'all'. acl all src 0.0.0.0/0.0.0.0 You use this for http_access allow all http_access deny all etc. In Squid 3.0 and above, the ...
5
votes
4answers
4k views

Debian Lenny to Debian Squeeze upgrade problems

Yesterday I made a dist-upgrade on my Debian Lenny server. I thought it will be easy as an usual upgrade, but it's not. I got a lot of problem after the update: # apt-get upgrade Reading package ...
2
votes
2answers
1k views

dist-upgrade to squeeze wants to remove apt

why does dist-upgrade to squeeze want to remove apt and how can I fix it? $ sudo apt-get dist-upgrade Reading package lists... Done Building dependency tree Reading state information... Done ...
2
votes
3answers
755 views

Upgrade from Debian Lenny to Squeeze with apt-get

I just upgraded my system from Lenny to Squeeze following the steps posted here. I followed all the steps using apt-get (in the upgrade from Etch to Lenny i used aptitude as suggested) and the upgrade ...
1
vote
1answer
528 views

Segmentation fault on most binaries without file /etc/ld.so.nohwcap

I've got a box which was partially updated to Debian Lenny. It throws Segmentation fault on even simple commands like ls. When I added file /etc/ld.so.nohwcap I was able to upgrade and run machine. ...
1
vote
1answer
363 views

Error 302 when installing rake gem

i try to install rake on my clean lenny server, i get the following error: Updating installed gems ERROR: While executing gem ... (Gem::RemoteFetcher::FetchError) bad response Found 302 ...
4
votes
1answer
411 views

Strange ifup/ifdown behaviour on Debian Lenny

First of all, here is my /etc/network/interfaces auto lo iface lo inet loopback auto eth0 iface eth0 inet static address 10.10.4.142 netmask 255.255.255.0 gateway 10.10.4.1 auto eth1 iface ...
1
vote
2answers
3k views

mount error 5 = Input/output error

I am running out of ideas. After a long period of testing this morning, I cannot seem to get this to work, and I have no idea why. I want to mount a Windows SMB/CIFS share with a Debian 5.0.4 VM, ...
0
votes
1answer
312 views

Monitor web server usage on Linux Debian PER DOMAIN

I have been using munin and monit to monitor the overall details of my web server, but as it hosts multiple sites, I would like to know how to monitor per-domain hosted, or something similar. The ...
0
votes
1answer
141 views

After updating debian lenny, ps stops recognising my users

Since upgrading my debian lenny box with apt-get, ps seems to be behaving strangely, and also if i run top i see under the user column the ids, not the names. whoami => foo ps -U foo => ERROR: ...
1
vote
2answers
784 views

Dovecot suddenly stopped working. HELP! “can't auth”

I am running out of ideas here.. I've been trying to fix this for 3 hours. Box is debian lenny. Mail.log contains the following: Can't connect to auth server at /var/run/dovecot/auth-master: No such ...
0
votes
1answer
193 views

Nuxeo on debian lenny

I have installed nuexo document control software on debian lenny. But when try to launch the application in browser http://localhost:8080/nuxeo/ it shows the error as below. HTTP Status 404 - ...
2
votes
1answer
2k views

Upgrading Debian Etch to Lenny stuck on kernel/libc issue

I have a Debian Etch (4.0) system, currently still running kernel 2.4.27-2-386. I'd like to upgrade it to Lenny, but I'm running into what seems to be a circular dependency between the kernel and ...
4
votes
3answers
3k views

/dev/fuse “permission denied” even when member of fuse group

I have a backup script scheduled on a Debian 5.0 x86 server, via sshfs. However, when I attempt to mount the remote directory, I receive: failed to open /dev/fuse: Permission denied ls -l /dev/fuse ...
2
votes
3answers
2k views

How do I build debian packages of kernel modules?

Specifically, I want to build a package for debian/lenny using the latest uvc drivers. I can compile and install them, but I want them packaged in the normal debian fashion. I imagine I want to use ...
2
votes
4answers
787 views

Debian-Installation without keyboard?

i have to install debian lenny right now, but i can't find my keyboard for the server (just use a laptop). Is there a way to install lenny without a keyboard? thank you!
1
vote
1answer
741 views

S.M.A.R.T Status of ServeRAID M5015 on Lenny?

any experience with checking smart status of a ServeRAID M5015 under debian 5 lenny? thanks!
0
votes
0answers
218 views

Debian 5 kernel 2.6.26-2-amd64 “stops” network access every two day

we have a database server MySQL 5.1 on it. Every two days it "stops" responding. The following happens: it doesn't respond to ping we can't login with SSH we don't get any answer from MySQL there ...
0
votes
1answer
387 views

Gerrit accessible from the IP address but not from the canonical URL

I just installed Gerrit on my Debian server (Linode) and can't get the canonical URL to work. Relevant log information (anonymized): [2010-09-13 17:48:06,550] INFO com.google.gerrit.sshd.SshDaemon ...
1
vote
1answer
457 views

How to set up sendmail server to be most welcome to bounce/bad email notifications

I am in the process of setting up a mail server (using sendmail to be exact). The server needs to be as open towards receiving notifications of "bad"/bouncing emails as entirely possible. I am not ...
0
votes
1answer
5k views

Install PHP5 with SQLite3 on Debian Lenny

There is no apt-get install php5-sqlite3, as its refereed by php5-sqlite thus, i did: apt-get install sqlite3 and then apt-get install php5-sqlite Restarted apache2. When I run echo ...